Event Notifications REST API Reference - Subscriptions
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
API for operating on an accounts subscriptions
Required Privileges:
Ensure you have the Event Notification Administrator role.
Note: EMAIL destination type is not supported in the current release. Only EVENT_STREAMS is available.
List all subscriptions for an account
Retrieves all event subscriptions associated with the specified account
Authorizations:
path Parameters
| accountId required | string The Boomi account ID associated with the subscriptions |
query Parameters
| pageNumber | integer <int32> Page number for pagination |
| pageSize | integer <int32> Example: pageSize=20 Number of items per page |
| sortBy | string Example: sortBy=createdDate Field to sort by |
| sortDirection | string Example: sortDirection=DESC Sort direction (ASC or DESC) |
Responses
Response Schema: application/json
Array of objects (Subscription) List of subscription configurations | |
object (Subscription) Represents a subscription to receive notifications for specific events | |
object (PaginationMetadata) |
Response samples
- 200
- 403
- 404
- 500
{- "subscriptions": [
- {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000
}, - {
- "subscriptionId": "223e4567-e89b-12d3-a456-426614174001",
- "eventName": "Atom.Status",
- "destinationType": "EVENT_STREAMS",
- "logLevel": "WARN",
- "accountId": "acct_12345",
- "eventStreamsEnvironment": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000
}
]
}Update subscriptions for an account
Updates all subscriptions for the specified account. Creates subscriptions if none exist.
Authorizations:
path Parameters
| accountId required | string The Boomi account ID associated with the subscriptions |
Request Body schema: application/jsonrequired
Array of objects (Subscription) List of subscription configurations | |
object (Subscription) Represents a subscription to receive notifications for specific events | |
object (PaginationMetadata) |
Responses
Response Schema: application/json
Array of objects (Subscription) List of subscription configurations | |
object (Subscription) Represents a subscription to receive notifications for specific events | |
object (PaginationMetadata) |
Request samples
- Payload
{- "subscriptions": [
- {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "eventStreamsEnvironment": "0b8bc0ef-d4d1-4797-9234-935cf0ff3f63",
- "eventStreamsEnvironmentName": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000,
- "createdBy": "user@example.com",
- "lastUpdatedUserId": "user@example.com"
}
], - "subscription": {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "eventStreamsEnvironment": "0b8bc0ef-d4d1-4797-9234-935cf0ff3f63",
- "eventStreamsEnvironmentName": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000,
- "createdBy": "user@example.com",
- "lastUpdatedUserId": "user@example.com"
}, - "paginationMetadata": {
- "pageNumber": 0,
- "pageSize": 0,
- "totalPages": 0,
- "totalElements": 0,
- "numberOfElements": 0,
- "first": true,
- "last": true
}
}Response samples
- 200
- 201
- 400
- 403
- 500
{- "subscriptions": [
- {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000
}, - {
- "subscriptionId": "223e4567-e89b-12d3-a456-426614174001",
- "eventName": "Atom.Status",
- "destinationType": "EVENT_STREAMS",
- "logLevel": "WARN",
- "accountId": "acct_12345",
- "eventStreamsEnvironment": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000
}
]
}Create subscriptions
Creates one or more subscriptions for the specified account
Authorizations:
path Parameters
| accountId required | string The Boomi account ID associated with the subscriptions |
Request Body schema: application/jsonrequired
Array of objects (Subscription) List of subscription configurations | |
object (Subscription) Represents a subscription to receive notifications for specific events | |
object (PaginationMetadata) |
Responses
Request samples
- Payload
{- "subscriptions": [
- {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "eventStreamsEnvironment": "0b8bc0ef-d4d1-4797-9234-935cf0ff3f63",
- "eventStreamsEnvironmentName": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000,
- "createdBy": "user@example.com",
- "lastUpdatedUserId": "user@example.com"
}
], - "subscription": {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "eventStreamsEnvironment": "0b8bc0ef-d4d1-4797-9234-935cf0ff3f63",
- "eventStreamsEnvironmentName": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000,
- "createdBy": "user@example.com",
- "lastUpdatedUserId": "user@example.com"
}, - "paginationMetadata": {
- "pageNumber": 0,
- "pageSize": 0,
- "totalPages": 0,
- "totalElements": 0,
- "numberOfElements": 0,
- "first": true,
- "last": true
}
}Response samples
- 201
- 400
- 403
- 500
{- "subscriptions": [
- {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000
}, - {
- "subscriptionId": "223e4567-e89b-12d3-a456-426614174001",
- "eventName": "Atom.Status",
- "destinationType": "EVENT_STREAMS",
- "logLevel": "WARN",
- "accountId": "acct_12345",
- "eventStreamsEnvironment": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000
}
]
}Delete all subscriptions for an account
Deletes all subscriptions associated with the specified accountId
Authorizations:
path Parameters
| accountId required | string The Boomi account ID associated with the subscriptions |
Responses
Response samples
- 403
- 404
- 500
{- "error": "Forbidden",
- "messages": [
- "Access Denied"
], - "path": "/rest/v1/accounts/acct_12345/subscriptions"
}Bulk operations on subscriptions for an account
Performs bulk delete or bulk update operations on subscriptions for the specified account
Authorizations:
path Parameters
| accountId required | string The Boomi account ID associated with the subscriptions |
Request Body schema: application/jsonrequired
| operation required | string Enum: "DELETE" "UPDATE" Operation to perform on the specified subscriptions |
| subscriptionIds | Array of strings <uuid> [ items <uuid > ] List of subscription IDs to perform the operation on (required for delete operation) |
Array of objects (Subscription) List of subscription objects to update (required for update operation) |
Responses
Request samples
- Payload
{- "subscriptionIds": [
- "123e4567-e89b-12d3-a456-426614174000",
- "223e4567-e89b-12d3-a456-426614174001"
], - "operation": "DELETE"
}Response samples
- 207
- 400
- 403
- 500
{- "operationStatuses": [
- {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "httpEquivalentCode": 200,
- "message": "Updated successfully"
}, - {
- "subscriptionId": "223e4567-e89b-12d3-a456-426614174001",
- "httpEquivalentCode": 404,
- "message": "Subscription not found"
}
]
}Get a single subscription by subscriptionId
Retrieves a single event subscription associated with the specified account by the subscriptionId
Authorizations:
path Parameters
| accountId required | string The Boomi account ID associated with the subscriptions |
| subscriptionId required | string <uuid> Unique identifier of the subscription to retrieve, update, or delete |
Responses
Response Schema: application/json
Array of objects (Subscription) List of subscription configurations | |
object (Subscription) Represents a subscription to receive notifications for specific events | |
object (PaginationMetadata) |
Response samples
- 200
- 403
- 404
- 500
{- "subscriptionId": "223e4567-e89b-12d3-a456-426614174001",
- "eventName": "Atom.Status",
- "destinationType": "EVENT_STREAMS",
- "logLevel": "WARN",
- "accountId": "acct_12345",
- "eventStreamsEnvironment": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000
}Update a subscription
Updates an existing subscription for the specified account and subscriptionId
Authorizations:
path Parameters
| accountId required | string The Boomi account ID associated with the subscriptions |
| subscriptionId required | string <uuid> Unique identifier of the subscription to retrieve, update, or delete |
Request Body schema: application/jsonrequired
Array of objects (Subscription) List of subscription configurations | |
object (Subscription) Represents a subscription to receive notifications for specific events | |
object (PaginationMetadata) |
Responses
Response Schema: application/json
Array of objects (Subscription) List of subscription configurations | |
object (Subscription) Represents a subscription to receive notifications for specific events | |
object (PaginationMetadata) |
Request samples
- Payload
{- "subscriptions": [
- {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "eventStreamsEnvironment": "0b8bc0ef-d4d1-4797-9234-935cf0ff3f63",
- "eventStreamsEnvironmentName": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000,
- "createdBy": "user@example.com",
- "lastUpdatedUserId": "user@example.com"
}
], - "subscription": {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "eventStreamsEnvironment": "0b8bc0ef-d4d1-4797-9234-935cf0ff3f63",
- "eventStreamsEnvironmentName": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000,
- "createdBy": "user@example.com",
- "lastUpdatedUserId": "user@example.com"
}, - "paginationMetadata": {
- "pageNumber": 0,
- "pageSize": 0,
- "totalPages": 0,
- "totalElements": 0,
- "numberOfElements": 0,
- "first": true,
- "last": true
}
}Response samples
- 200
- 400
- 403
- 404
- 500
{- "subscriptions": [
- {
- "subscriptionId": "123e4567-e89b-12d3-a456-426614174000",
- "eventName": "Atom.Status",
- "destinationType": "EMAIL",
- "logLevel": "ERROR",
- "accountId": "acct_12345",
- "destinationEmail": "user@example.com",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000
}, - {
- "subscriptionId": "223e4567-e89b-12d3-a456-426614174001",
- "eventName": "Atom.Status",
- "destinationType": "EVENT_STREAMS",
- "logLevel": "WARN",
- "accountId": "acct_12345",
- "eventStreamsEnvironment": "production",
- "eventStreamsTopic": "notifications-topic",
- "enabled": true,
- "createdDate": 1625097600000,
- "lastUpdatedDate": 1625184000000
}
]
}Delete a specific subscription
Deletes a single subscription identified by subscriptionId for the specified account
Authorizations:
path Parameters
| accountId required | string The Boomi account ID associated with the subscriptions |
| subscriptionId required | string <uuid> Unique identifier of the subscription to retrieve, update, or delete |
Responses
Response samples
- 403
- 404
- 500
{- "error": "Forbidden",
- "messages": [
- "Access Denied"
], - "path": "/rest/v1/accounts/acct_12345/subscriptions"
}